PATCH/v1/tenant_members/{id}

tenant_members.update

Updates the member's role. **Owner-only for promote-to-owner**: admins can change roles between admin/member, but only an existing owner can promote another member to owner. You cannot change your own role (use another owner/admin); the only-remaining-owner cannot be demoted.

Parameters

NameTypeRequiredDescription
idstringrequiredTenant member id.
Idempotency-KeystringoptionalOptional client-supplied key for at-most-once semantics. The first request with a given key is processed; subsequent requests with the same key replay the cached response for 24h.

Request body

No parameters.

Response

No parameters.

Examples

curl -sS -X PATCH \
  -H "Authorization: Bearer $CULPRIT_API_TOKEN" \
  -H "content-type: application/json" \
  -d '{ /* … */ }' \
  https://api.theculprit.ai/v1/tenant_members/{id}

Try it

Stored locally in your browser at localStorage.docs.tryit.token. Never sent to Culprit's analytics. Use a read-only token.